/*----------------------------------------------------------
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version
2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place, Suite 330,
Boston, MA  02111-1307  USA

The original author of this program is Hin Jang
March 20, 2003
-----------------------------------------------------------*/

// ----------------------------------------------------------
// polygon.h (could have been defined as a struct instead)
// ----------------------------------------------------------

#ifndef __POLYGON_H__
#define __POLYGON_H__

class Polygon
{

public:

  Polygon();
  ~Polygon();

  int v[4];   // vertex IDs
  int n[4];   // neighbour IDs
  int id;     // id of this polygon
  int pid;    // id of the base mesh polygon

  void clear(void);

};

#endif // __POLYGON_H__
